LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
TextMarkupDescriptor Struct Reference

A descriptor for a single text markup. More...

`import"TextMarkupDescriptor.idl";`

## Public Attributes
long | nType
| Type of text markup see TextMarkupType. More...
string | aIdentifier
| A string used to identify the caller. More...
long | nOffset
| Start of the markup range. More...
long | nLength
| Length of the markup range. More...
com::sun::star::container::XStringKeyMap | xMarkupInfoContainer
| contains additional information about the markup More...

## Detailed Description

A descriptor for a single text markup.

Since
  OOo 3.0.1

## Member Data Documentation

## ◆ aIdentifier

string aIdentifier

A string used to identify the caller.

## ◆ nLength

long nLength

Length of the markup range.

## ◆ nOffset

long nOffset

Start of the markup range.

## ◆ nType

long nType

Type of text markup see TextMarkupType.

## ◆ xMarkupInfoContainer

com::sun::star::container::XStringKeyMap xMarkupInfoContainer

contains additional information about the markup

The documentation for this struct was generated from the following file:

- com/sun/star/text/TextMarkupDescriptor.idl